Bug 470993 - GCC 4.1.2 crashes when compiling ImageMagick 6.4.5.5
Summary: GCC 4.1.2 crashes when compiling ImageMagick 6.4.5.5
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-11 09:59 UTC by Jari Turkia
Modified: 2013-11-27 18:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-26 19:52:31 UTC


Attachments (Terms of Use)
GCC crash dump (357.09 KB, text/plain)
2008-11-11 10:00 UTC, Jari Turkia
no flags Details

Description Jari Turkia 2008-11-11 09:59:42 UTC
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3

During make-phase of compiling a new ImageMagick GCC stops:

magick/shear.c: In function 'SetRadonCell':
magick/shear.c:486: warning: 'i' may be used uninitialized in this function
magick/shear.c: In function 'DeskewImage':
magick/shear.c:880: internal compiler error: in find_outermost_region_in_block, at tree-cfg.c:4739
Please submit a full bug report,
with preprocessed source if appropriate.

Previous version 6.4.0.7 compiled properly.

Reproducible: Always

Steps to Reproduce:
1. Download ImageMagick 6.4.5.5
2. ./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu --target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --with-modules --with-perl --with-x --with-threads --with-magick_plus_plus --with-gslib --with-wmf --with-lcms --with-rsvg --with-xml '--with-perl-options=INSTALLDIRS=vendor  CC='\''gcc -L/usr/src/redhat/BUILD/ImageMagick-6.4.5/magick/.libs'\'' LDDLFLAGS='\''-shared -L/usr/src/redhat/BUILD/ImageMagick-6.4.5/magick/.libs'\''' --with-windows-font-dir=/usr/share/fonts/default/TrueType --without-dps
3. make
Actual Results:  
A compiler failure with information to report to bugzilla.

Expected Results:  
Properly compiled ImageMagick package.

There is a GCC crash diagnostic file.

Comment 1 Jari Turkia 2008-11-11 10:00:59 UTC
Created attachment 323165 [details]
GCC crash dump

This is the crash dump file which GCC instructed to include in the bug report.

Comment 2 Jeff Law 2013-11-26 19:52:31 UTC
We could need additional information to diagnose this problem.

I downloaded ImageMagik 6.4.5.5 onto a RHEL 5.2, configured it per your instructions and it built just fine.

I also worked with the attachment .i file and passed it through the compiler with various options to try and trip the failure without success.


To proceed further you'd need to reproduce the failure.  Then provide the proper .i file and command line that was passed to GCC to trigger the failure.

Comment 3 Jari Turkia 2013-11-27 11:40:04 UTC
Jari Turkia 2008-11-11 05:00:59 EST
Jeff Law 2013-11-26 14:52:31 EST

<sarcasm>
What?! Insufficient data? During last 5 years you failed to find enough data in my bug report.
</sarcasm>

Never mind.
RHEL 6 was released about 2 years after filing this bug report and for the last 3 years, I've been using that. Btw. ImageMagick compiles ok with GCC 4.4.7.

Comment 4 Jeff Law 2013-11-27 18:59:54 UTC
Someone should have asked for the additional information when the report was originally filed, but sadly that didn't happen and AFAICT, this bug fell through the cracks repeatedly.  We're currently reviewing every remaining open toolchain bug reported against RHEL 5, thus it was on my radar after all this time.

I would have liked to have been able to trigger the failure so I could dive in a bit further and say conclusively that it was fixed and get a regression test added to GCC's regression suite.  But my attempts to trigger the failure were not successful.


Note You need to log in before you can comment on or make changes to this bug.